import * as asyncHandler from 'express-async-handler';
import * as picBiz from '../biz/pic';
export function setRouter(httpServer) {
    httpServer.post('/api/pic/up', asyncHandler(upFile));
    httpServer.post('/api/pic/list', asyncHandler(fileList));
    httpServer.post('/api/pic/details', asyncHandler(picDetails));
}

async function upFile(req, res) {
    let userId = req.userId;
    let psdType = req.psdType;
    let userName = req.userName;
    let desc = req.desc;
    let result = await picBiz.upPsdFile(req, userId, psdType, userName, desc);
    res.send(result);
}

async function fileList(req, res) {
    let picType = req.picType;
    let result = await picBiz.picList(picType);
    res.send(result);
}

async function picDetails(req, res) {
    let pId = req.pId;
    let result = await picBiz.getPicDetails(pId);
    res.send(result);
}